Package org.eclipse.jface.text

## Interface MultiStringMatcher.Match

Enclosing class:
  MultiStringMatcher

    public static interface MultiStringMatcher.Match

Describes a match result of `MultiStringMatcher.indexOf(CharSequence, int)`, giving access to the matched string and the offset in the text it was matched at.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getOffset()` Obtains the offset the `text` was matched at.
`String` `getText()` Obtains the matched string.

### Method Detail

#### getText

    String getText()

Obtains the matched string.

Returns:
  the text matched

#### getOffset

    int getOffset()

Obtains the offset the `text` was matched at.

Returns:
  the offset